Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	X Keyboard Extension (XKB) API
Name:		libxklavier
Version:	5.0
Release:	1
License:	GNU/GPL
URL:		ftp://ftp.gnome.org
Group:		System/Libraries
Source: 	http://gswitchit.sourceforge.net/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: 	doxygen

BuildRequires: zlib-devel
BuildRequires: iso-codes-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libxkbfile-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config

%description
libxklavier is a library providing high-level API for X Keyboard Extension
known as XKB. This library is indended to support XFree86 and other
commercial X servers.
It is useful for creating XKB-related software (layout indicators etc). 

The current features are: 
- Reading XKB configuration registry information (for XFree86) 
- Configuring XKB 
- Application-defined callbacks for many XKB-related events 
- Support for per-window switching etc. 

%package	devel
Summary:	Libraries, includes, etc to develop libxklavier applications
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	pkg-config

%description	devel
Libraries, include files, etc you can use to develop libxklavier applications.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build

%configure \
--disable-doxygen \
--with-xkb-base='%{_datadir}/X11/xkb' \
--with-xkb-bin-base='%{_bindir}'
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB 
%{_libdir}/libxklavier.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/libxklavier
%{_libdir}/libxklavier.a
%{_libdir}/libxklavier.la
%{_libdir}/libxklavier.so
%{_pkgconfig}/libxklavier.pc
%{_datadir}/gtk-doc/html/libxklavier

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 5.0-1
- Version update
* Sat Aug 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0-1
- Version update
* Fri Apr 03 2009 Christian Metzen <metzench@ccux-linux.de> 3.9-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 3.7-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 3.5-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 3.2-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 3.1-1
- Version update
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1-1
- Initial Release
